<?
define('PROTECTOR', 1);

$headmod = 'inventar';//фикс. места

$textl='Инвентарь';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
//////считаем вещи/////////
$weapon = mysql_result(mysql_query("SELECT COUNT(*) FROM item WHERE usr='$log' and tip='weapon' and `image`='not'"),0);
$golova = mysql_result(mysql_query("SELECT COUNT(*) FROM item WHERE usr='$log' and tip='golova' and `image`='not'"),0);
$shit = mysql_result(mysql_query("SELECT COUNT(*) FROM item WHERE usr='$log' and tip='shit' and `image`='not'"),0);
$poyas = mysql_result(mysql_query("SELECT COUNT(*) FROM item WHERE usr='$log' and tip='poyas' and `image`='not'"),0);
$plash = mysql_result(mysql_query("SELECT COUNT(*) FROM item WHERE usr='$log' and tip='plash' and `image`='not'"),0);
$ruki = mysql_result(mysql_query("SELECT COUNT(*) FROM item WHERE usr='$log' and tip='ruki' and `image`='not'"),0);
$nogi = mysql_result(mysql_query("SELECT COUNT(*) FROM item WHERE usr='$log' and tip='nogi' and `image`='not'"),0);
$body = mysql_result(mysql_query("SELECT COUNT(*) FROM item WHERE usr='$log' and tip='body' and `image`='not'"),0);
$amulet = mysql_result(mysql_query("SELECT COUNT(*) FROM item WHERE usr='$log' and tip='amulet' and `image`='not'"),0);
$kolco = mysql_result(mysql_query("SELECT COUNT(*) FROM item WHERE usr='$log' and tip='kolco' and `image`='not'"),0);
$pits = mysql_result(mysql_query("SELECT COUNT(*) FROM pit_item WHERE usr='$log' and `image`='not'"),0);
$maska = mysql_result(mysql_query("SELECT COUNT(*) FROM item WHERE usr='$log' and tip='maska' and `image`='not'"),0);
$shems = mysql_result(mysql_query("SELECT COUNT(*) FROM shems WHERE usr='$log'"),0);

$res = mysql_result(mysql_query("SELECT COUNT(*) FROM res WHERE usr='$log'"),0);

$aura = mysql_result(mysql_query("SELECT COUNT(*) FROM item_aura WHERE usr='$log'"),0);
/////энд//////////////


if($pits != 0){echo"<a href=\"inventar.php?mod=pits\">Вещи для питомцев</a> ($pits)<br/>";}
if($weapon != 0){echo"<a href=\"inventar.php?mod=item&amp;o=weapon\">Оружие</a> ($weapon)<br/>";}
if($golova != 0){echo"<a href=\"inventar.php?mod=item&amp;o=golova\">Шлемы</a> ($golova)<br/>";}
if($shit != 0){echo"<a href=\"inventar.php?mod=item&amp;o=shit\">Щиты</a> ($shit)<br/>";}
if($plash != 0){echo"<a href=\"inventar.php?mod=item&amp;o=plash\">Плащи</a> ($plash)<br/>";}
if($poyas != 0){echo"<a href=\"inventar.php?mod=item&amp;o=poyas\">Пояса</a> ($poyas)<br/>";}
if($ruki != 0){echo"<a href=\"inventar.php?mod=item&amp;o=ruki\">Рукавицы</a> ($ruki)<br/>";}
if($nogi != 0){echo"<a href=\"inventar.php?mod=item&amp;o=nogi\">Сапоги</a> ($nogi)<br/>";}
if($body != 0){echo"<a href=\"inventar.php?mod=item&amp;o=body\">Доспехи</a> ($body)<br/>";}
if($amulet != 0){echo"<a href=\"inventar.php?mod=item&amp;o=amulet\">Амулеты</a> ($amulet)<br/>";}
if($kolco != 0){echo"<a href=\"inventar.php?mod=item&amp;o=kolco\">Кольца</a> ($kolco)<br/>";}
if($maska != 0){echo "<a href=\"inventar.php?mod=item&o=maska\">Маски</a> ($maska)<br/>";}
if($res != 0){echo"<a href=\"inventar.php?mod=res\">Ресурсы</a> ($res)<br/>";}
if($shems != 0){echo"<a href=\"inventar.php?mod=shems\">Схемы</a> ($shems)<br/>";}
if($aura != 0){echo"<a href=\"inventar.php?mod=aura\">Ауры</a> ($aura)";}
break;

case 'shems':
$req = mysql_query("SELECT * FROM `shems` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
if($mag['unknow']=='0'){$mag['name']='Скрыт';}

echo"<a href=\"inventar.php?mod=info&amp;act=shems&amp;id=$mag[id]\">$mag[name]</a> ($mag[kol] штук)<br/>";
}
}else{
echo"<b>Нет схем</b><br/>";
}
echo"<a href=\"inventar.php?\">Назад</a>";
break;
case 'item':
if($_GET[o]!=shit && $_GET[o]!=golova && $_GET[o]!=maska && $_GET[o]!=body && $_GET[o]!=poyas && $_GET[o]!=plash && $_GET[o]!=ruki && $_GET[o]!=nogi && $_GET[o]!=amulet && $_GET[o]!=kolco && $_GET[o]!=weapon){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `tip`='$_GET[o]' and `image`='not'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"inventar.php?mod=info&amp;id=$mag[id]\">$mag[name]</a>
 [<a href=\"dress.php?tip=$_GET[o]&amp;id=$mag[id]\">одеть</a>]<br/>";
}
}else{
echo"<b>Нет вещей</b><br/>";
}
echo"<a href=\"inventar.php?\">Назад</a>";

break;
case 'pits':
$weapon = mysql_result(mysql_query("SELECT COUNT(*) FROM pit_item WHERE usr='$log' and tip='weapon' and `image`='not'"),0);
$golova = mysql_result(mysql_query("SELECT COUNT(*) FROM pit_item WHERE usr='$log' and tip='golova' and `image`='not'"),0);
$body = mysql_result(mysql_query("SELECT COUNT(*) FROM pit_item WHERE usr='$log' and tip='body' and `image`='not'"),0);
$nogi = mysql_result(mysql_query("SELECT COUNT(*) FROM pit_item WHERE usr='$log' and tip='nogi' and `image`='not'"),0);
if(empty($_GET['o'])){
echo"<a href=\"inventar.php?mod=pits&amp;o=weapon\">Оружие</a> ($weapon)<br/>";
echo"<a href=\"inventar.php?mod=pits&amp;o=golova\">Шлемы</a> ($golova)<br/>";
echo"<a href=\"inventar.php?mod=pits&amp;o=body\">Доспехи</a> ($body)<br/>";
echo"<a href=\"inventar.php?mod=pits&amp;o=nogi\">Сапоги</a> ($nogi)<br/>";
}else{
if($_GET[o]!=weapon && $_GET[o]!=golova && $_GET[o]!=body && $_GET[o]!=nogi){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `pit_item` WHERE `usr` = '$log' and `tip`='$_GET[o]' and `image`='not'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name]</b>
 [<a href=\"inventar.php?mod=infopit&amp;id=$mag[id]\">инфо</a>]<br/>";
}
}else{
echo"<b>Нет вещей</b><br/>";
}

}
echo"<a href=\"inventar.php?\">Назад</a>";
break;
case 'infopit':
$req = mysql_query("SELECT * FROM `pit_item` WHERE `usr` = '$log' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}

$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
}
switch($mag[rasa]){
case 'not':
$rasa='Все';
break;
case 'wolf':
$rasa='Волк';
break;
case 'dog':
$rasa='Собака';
break;
}
echo"<b>$mag[name]</b><br/>
Тип: $tip<br/>
<b>Характеристика</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Защита головы: $mag[pgolova]<br/>
Защита тела: $mag[pbody]<br/>
Защита ног: $mag[pnogi]<br/>
<b>Бонусы:</b><br/>
Жизнь: $mag[hp]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
Анти-крит: $mag[antikrit]%<br/>
Сила: $mag[sila]<br/>
Ловкость: $mag[lovk]<br/>
<b>Требования:</b><br/>
Раса: $rasa<br/>
Уровень: $mag[nlvl]<br/>
";
echo"<a href=\"inventar.php?\">Назад</a>";
break;
case 'res':
if(empty($_GET[tip])){
///
$res = mysql_result(mysql_query("SELECT COUNT(*) FROM res WHERE usr='$log' and tip='res'"),0);
$elexir = mysql_result(mysql_query("SELECT COUNT(*) FROM res WHERE usr='$log' and tip='elexir'"),0);
$scroll = mysql_result(mysql_query("SELECT COUNT(*) FROM res WHERE usr='$log' and tip='scroll'"),0);
///
echo"<a href=\"inventar.php?mod=res&amp;tip=res\">Ресурсы</a> ($res)<br/>";
echo"<a href=\"inventar.php?mod=res&amp;tip=elexirs\">Элексиры</a> ($elexir)<br/>";
echo"<a href=\"inventar.php?mod=res&amp;tip=scroll\">Свитки</a> ($scroll)<br/>";
}elseif($_GET[tip]==res){
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `tip`='res'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"inventar.php?mod=info&amp;act=res&amp;id=$mag[id]\">$mag[name]</a>
 ($mag[kol] штук)<br/>";
}
}else{
echo"<b>Нет ресурсов</b><br/>";
}
}elseif($_GET[tip]==elexirs){
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `tip`='elexir'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"inventar.php?mod=info&amp;act=elexir&amp;id=$mag[id]\">$mag[name]</a>
 ($mag[kol] штук) [<a href=\"elexirs.php?id=$mag[id]\">использовать</a>]<br/>";
}
}else{
echo"<b>Нет элексиров</b><br/>";
}
}elseif($_GET[tip]==scroll){
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `tip`='scroll'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"inventar.php?mod=info&amp;act=scroll&amp;id=$mag[id]\">$mag[name]</a>
 ($mag[kol] штук) [<a href=\"scroll.php?id=$mag[id]\">использовать</a>]<br/>";
}
}else{
echo"<b>Нет свитков</b><br/>";
}
}else{
echo"<b>Ошибка, доступ закрыт!</b><br/>";
}
echo"<a href=\"inventar.php?\">Назад</a>";
break;
case 'info':
if($_GET[act]==res or $_GET[act]==elexir or $_GET[act]==scroll){
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'res':
$tip='Ресурс';
break;
case 'scroll':
$tip='Свиток';
break;
case 'elexir':
$tip='Элексир';
break;
}
echo"<b>$mag[name]</b><br/>
Тип: $tip<br/>
Количество: $mag[kol]<br/>
";
}elseif($_GET['act']=='shems'){
$req = mysql_query("SELECT * FROM `shems` WHERE `usr` = '$log' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

if($mag['unknow']=='0'){$mag['name']='Скрыт';}

echo'Схема: <b>'.$mag['name'].'</b><br/>';
echo'Количество '.$mag['kol'].'<br/>';
echo'Цена создания: '.$mag['scena'].'<br/>';
echo'Ресурсы: <br/>';
$res=explode("|",$mag[nead_res]);
$kres=count($res);
$i=0;
$b=1;
while($b<=$kres){
$r=explode(",",$res[$i]);
$lat_name=$r[0];
$kol=$r[1];

$req = mysql_query("SELECT name FROM `mdrop` WHERE `lat_name`='$lat_name' LIMIT 1");
$reso = mysql_fetch_array($req);
echo"$reso[name] - $kol штук<br/>";
$i++;
$b++;
}
if($mag['unknow']=='1'){

switch($mag[klas]){
case 'not':
$klas='Все';
break;
case 'wizard':
$klas='Маг';
break;
case 'fighert':
$klas='Воин';
break;
}

switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
case 'shit':
$tip='Щит';
break;
case 'poyas':
$tip='Пояс';
break;
case 'plash':
$tip='Плащ';
break;
case 'ruki':
$tip='Рукавицы';
break;
case 'kolco':
$tip='Кольцо';
break;
case 'amulet':
$tip='Амулет';
break;
case 'maska':
$tip='Маска';
break;
}

echo'Вещь: '.$mag['name_item'].'<br/>';
echo"Тип: $tip<br/>
<b>Характеристика</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Защита головы: $mag[pgolova]<br/>
Защита тела: $mag[pbody]<br/>
Защита ног: $mag[pnogi]<br/>
<b>Бонусы:</b><br/>
Жизнь: $mag[hp]<br/>
Мана: $mag[mp]<br/>
Сила: $mag[sila]<br/>
Ловкость: $mag[lovk]<br/>
Интеллект: $mag[um]<br/>
Физ. защита: $mag[prot]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
Анти-крит: $mag[antikrit]%<br/>
<b>Требования:</b><br/>
Класс: $klas<br/>
Сила: $mag[nsila]<br/>
Ловкость: $mag[nlovk]<br/>
Интелект: $mag[num]<br/>
Уровень: $mag[nlvl]<br/>
";

}
}elseif($_GET[act]==aura){
$req = mysql_query("SELECT * FROM `item_aura` WHERE `usr` = '$log' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

switch($mag[klas]){
case 'not':
$klas='Все';
break;
case 'wizard':
$klas='Маг';
break;
case 'fighert':
$klas='Воин';
break;
}

echo"<b>$mag[name]</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Физ. защита: $mag[protect]<br/>
Жизнь: $mag[hp]<br/>
Мана: $mag[mp]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
Анти-крит: $mag[antikrit]%<br/>
<b>Требования:</b><br/>
Класс: $klas<br/>
Сила: $mag[nsila]<br/>
Ловкость: $mag[nlovk]<br/>
Интеллект: $mag[num]<br/>
Уровень: $mag[nlvl]<br/>
Время действия: $mag[actime] сек.<br/>
";
}
else{
$req = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
case 'shit':
$tip='Щит';
break;
case 'poyas':
$tip='Пояс';
break;
case 'plash':
$tip='Плащ';
break;
case 'ruki':
$tip='Рукавицы';
break;
case 'kolco':
$tip='Кольцо';
break;
case 'amulet':
$tip='Амулет';
break;
case 'maska':
$tip='Маска';
break;
}
switch($mag[klas]){
case 'not':
$klas='Все';
break;
case 'wizard':
$klas='Маг';
break;
case 'fighert':
$klas='Воин';
break;
}
echo"<b>$mag[name]</b><br/>
Тип: $tip<br/>
<b>Характеристика</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Защита головы: $mag[pgolova]<br/>
Защита тела: $mag[pbody]<br/>
Защита ног: $mag[pnogi]<br/>
<b>Бонусы:</b><br/>
Жизнь: $mag[hp]<br/>
Мана: $mag[mp]<br/>
Сила: $mag[sila]<br/>
Ловкость: $mag[lovk]<br/>
Интеллект: $mag[um]<br/>
Физ. защита: $mag[prot]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
Анти-крит: $mag[antikrit]%<br/>
<b>Требования:</b><br/>
Класс: $klas<br/>
Сила: $mag[nsila]<br/>
Ловкость: $mag[nlovk]<br/>
Интеллект: $mag[num]<br/>
Уровень: $mag[nlvl]<br/>
";
}
echo"<a href=\"inventar.php?\">Назад</a>";
break;
case 'aura':
$req = mysql_query("SELECT * FROM `item_aura` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"inventar.php?mod=info&amp;act=aura&amp;id=$mag[id]\">$mag[name]</a>
 ($mag[kol] штук) [<a href=\"aura.php?id=$mag[id]\">активировать</a>]<br/>";
}
}else{
echo"<b>Нет аур</b><br/>";
}
break;
}
include($path.'files/down.php');
?>